# Defold Druid UI Library

# Module `druid.lang_text`

Component to handle all GUI texts Good working with localization system

## Functions

init(node, locale_id, no_adjust) | Component init function
set_to(text) | Setup raw text to lang_text component
translate(locale_id) | Translate the text by locale_id

## Tables

Events | Component events
Fields | Component fields

## Functions

init(node, locale_id, no_adjust)
  Component init function

  ### Parameters:

  - node node The text node
  - locale_id string Default locale id
  - no_adjust bool If true, will not correct text size
set_to(text)
  Setup raw text to lang_text component

  ### Parameters:

  - text string Text for text node
translate(locale_id)
  Translate the text by locale_id

  ### Parameters:

  - locale_id string Locale id

## Tables

Events
  Component events

  ### Fields:

  - on_change druid_event On change text callback
Fields
  Component fields

  ### Fields:

  - text druid.text The text component

generated by LDoc 1.4.6 Last updated 2020-04-17 20:13:54